Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ServiceBeanTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ServiceBeanTypeImplTestCase

    public class ServiceBeanTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ServiceBeanTypeImplTestCase()`

Method Summary
`void` | `testAnnotation()`
`void` | `testAopDomainName()`
`void` | `testBusinessLocal()`
`void` | `testBusinessRemote()`
`void` | `testClusterConfig()`
`void` | `testClustered()`
`void` | `testConcurrent()`
`void` | `testDepends()`
`void` | `testEjbClass()`
`void` | `testEjbName()`
`void` | `testEjbTimeoutIdentity()`
`void` | `testHomeJndiName()`
`void` | `testIgnoreDependency()`
`void` | `testJndiBindingPolicy()`
`void` | `testJndiName()`
`void` | `testJndiRef()`
`void` | `testLocalBinding()`
`void` | `testLocalJndiName()`
`void` | `testManagement()`
`void` | `testMappedName()`
`void` | `testMethodAttributes()`
`void` | `testObjectName()`
`void` | `testPoolConfig()`
`void` | `testPortComponent()`
`void` | `testRemoteBinding()`
`void` | `testSecurityDomain()`
`void` | `testSecurityIdentity()`
`void` | `testXmbean()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBeanTypeImplTestCase

    public ServiceBeanTypeImplTestCase()

Method Detail

### testEjbName

    public void testEjbName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMappedName

    public void testMappedName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBusinessLocal

    public void testBusinessLocal()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBusinessRemote

    public void testBusinessRemote()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbClass

    public void testEjbClass()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityIdentity

    public void testSecurityIdentity()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testObjectName

    public void testObjectName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testManagement

    public void testManagement()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testXmbean

    public void testXmbean()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalBinding

    public void testLocalBinding()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemoteBinding

    public void testRemoteBinding()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiName

    public void testJndiName()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHomeJndiName

    public void testHomeJndiName()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalJndiName

    public void testLocalJndiName()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiBindingPolicy

    public void testJndiBindingPolicy()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClustered

    public void testClustered()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClusterConfig

    public void testClusterConfig()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityDomain

    public void testSecurityDomain()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMethodAttributes

    public void testMethodAttributes()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDepends

    public void testDepends()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAnnotation

    public void testAnnotation()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIgnoreDependency

    public void testIgnoreDependency()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAopDomainName

    public void testAopDomainName()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPoolConfig

    public void testPoolConfig()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConcurrent

    public void testConcurrent()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiRef

    public void testJndiRef()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPortComponent

    public void testPortComponent()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbTimeoutIdentity

    public void testEjbTimeoutIdentity()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD